#!/bin/bash

#quoi: lancer des cmdes iptables lorsque sympa est up 
#quand: 02/12/2025
#qui: fab

CONTAINER="sympaServ"
HOST_SCRIPT="/kaz/dockers/sympa/updateFirewall.sh"

echo "On attend que sympa soit UP"
rm /tmp/flag_sympa_up -f

# Boucle jusqu'à ce qu'il soit en état running
while :; do
    state=$(docker inspect -f '{{.State.Running}}' "$CONTAINER" 2>/dev/null)
    if [ "$state" = "true" ]; then
     	touch /tmp/flag_sympa_up
        echo "$CONTAINER est up. démarrage de  $HOST_SCRIPT..."
        bash "$HOST_SCRIPT"
        exit 0
    fi
    sleep 2
done
